> ## Documentation Index
> Fetch the complete documentation index at: https://docstest.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Post task

> Create a new task



## OpenAPI

````yaml post /task
openapi: 3.0.0
info:
  version: 1.0.0
  title: Tasks Tracking App
  description: A simple sample API for testing purposes.
  contact:
    name: Minae Lee
    url: https://github.com/minaelee
  license:
    name: MIT License
    url: https://opensource.org/license/mit/
servers: []
security: []
tags:
  - name: task
    description: Working with a single task
  - name: tasks
    description: Working with multiple tasks
paths:
  /task:
    post:
      tags:
        - task
      description: Create a new task
      operationId: addTask
      requestBody:
        description: Task to add to the list
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NewTask'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Task'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    NewTask:
      type: object
      required:
        - name
      properties:
        name:
          type: string
        tag:
          type: string
    Task:
      allOf:
        - $ref: '#/components/schemas/NewTask'
        - type: object
          required:
            - id
          properties:
            id:
              type: integer
              format: int64
    Error:
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string

````